GetSimple Support Forum

Full Version: Server error detected on update plugin
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Tried couple of times over the past week to update a plugin
and upload to GetSimple and am getting server error on get-simple.info.
Maybe this has to do with that the extend api is hosted on getsimple.info . So if getsimple.info is down you could get such errors (?)

http://get-simple.info/wiki/plugins:extend_api
Morning,

the site http://get-simple.info is ok. It's when I log in and try to update zip file to extend I get the following error:

Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator to inform of the time the error occurred and of anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Thanks
Actually, Helgesverre (GS Plugin Installer author) reported a similar issue on Github https://github.com/HelgeSverre/gs-plugin...-459318658. I had no problem updating Components Extended 2 days prior.

@shawn_a, can you check it out?
Is the issue when you upload or just going to the page?
(2019-02-03, 12:56:01)shawn_a Wrote: [ -> ]Is the issue when you upload or just going to the page?

Is the issue when you upload or just going to the page?

It's when I add a zip file in the following page. http://get-simple.info/extend/admin/edit_file.php

once I click 'update this file'

Then the error occurs

Thanks
Ok thanks
(2019-02-05, 07:30:08)shawn_a Wrote: [ -> ]Ok thanks

Any news on this?
I have not looked at it yet
(2019-02-11, 10:54:30)shawn_a Wrote: [ -> ]I have not looked at it yet

Some more info on this problem as I just uploaded  a new version of Components Extended:
  • 40* error with blank page redirect saying "Could not retrieve the file name"
  • upon second try with exactly the same ZIP & text, it worked.¬†
Can confirm this is still a problem, it occurs on submission (update file).
Anything new on this?

I tried to add my first plugin to Extend.

But after clicking "ADD THIS FILE" I get the Internal Server Error.

Is there a special trick?
The newest plugin update is currently as of July 25th. Does the Extend site not work anymore?
hmm, It was something with the server extract, I will look at logs.
let me know if you can reproduce over and over
Yes, I tried many times in the recent days.
Last time a few minutes ago.
Always getting the internal server errror.

And the newest upload there is apparently as of 7/25 (LazyLoad Images Plugin).
It seems to me that something must have gone wrong after that.

Thank you very much for your effort.
Still the same problem for me. Internal server error.

In the meantime, I saw that there were several updates to the Extend repository.
So in principle it seems to work.

I ask myself what maybe I do wrong, is there a browser to avoid, is there a bad weekday or time, or an add form field that should not be filled in?

Are there requirements for the zip file, besides that it should not contain harmful code?
A minimum number of php files, or to contain a plugin directory (my plugin is only a single php file)?
Anything?
Ok, finally ...
I found out: Markdown in the Description and/or Installation fields was the problem for me.
Perhaps it was not clean or wrongly formatted, I dont know.
Anyway, using HTML instead => problems have gone. No more internal server error.
Thanks for figuring it out, sounds like we need to redo some code to handle or encode stuff